{% extends "lab_10/layout/base.html" %}

{% block content %}
<div class="row">
    <!-- <h1> Catatan : Buatlah halaman detail movie sesuai selera dan kreatifitas kalian </h1>

    <br>
    <h2> Raw Data (json) </h2>
    <p> {{ movie }} </p>
    <hr>
    <h2> Contoh cara mengambil judul: </h2>
    <h1 style="color:red"> {{ movie.title}} </h1> -->

    <div class="panel panel-info">
        <div class="panel-heading"><h1> {{ movie.title }} </h1> </div>
        <div class="panel-body">
            <div class="fluid-container">
                <button type="button" class="btn btn-labeled btn-info">
                    <span class="btn-label"><i class="glyphicon glyphicon-time"></i></span> 
                    {{ movie.runtime }} 
                </button>

                <button type="button" class="btn btn-labeled btn-info">
                    <span class="btn-label"><i class="glyphicon glyphicon-calendar"></i></span> 
                    {{ movie.year }} 
                </button>
                <button type="button" class="btn btn-labeled btn-info">
                    <span class="btn-label"><i class="glyphicon glyphicon-star-empty"></i></span> {{ movie.imdbrating }}
                </button>
                <button type="button" class="btn btn-labeled btn-info">
                    <span class="btn-label"><i class="glyphicon glyphicon-film"></i></span> {{ movie.genre }}
                </button>
                <button type="button" class="btn btn-labeled btn-info">
                    <span class="btn-label"><i class="glyphicon glyphicon-subtitles"></i></span> {{ movie.language }}
                </button>    
            </div>
            

            <br>

            <div class="col-sm-4"><img src="{{ movie.poster }}"></div>
            <div class="col-sm-8">
                <div class="panel panel-info">
                  <div class="panel-heading">Description</div>
                  <div class="panel-body">{{ movie.plot }}</div>
                </div>
                <div class="panel panel-info">
                  <div class="panel-heading">Country</div>
                  <div class="panel-body">{{ movie.country }}</div>
                </div>
                <div class="panel panel-info">
                  <div class="panel-heading">Production</div>
                  <div class="panel-body">{{ movie.production }}</div>
                </div>
                <div class="panel panel-info">
                  <div class="panel-heading">Writer</div>
                  <div class="panel-body">{{ movie.writer }}</div>
                </div>
                <div class="panel panel-info">
                  <div class="panel-heading">Actors</div>
                  <div class="panel-body">{{ movie.actors }}</div>
                </div>
            </div>
        </div>
    </div>
    <br>
    <div class="box">
        {% if added %}
        <button class="btn btn-success"> Added to Watch Later </button>
        {% else %}
        <a href="{% url 'lab-10:add_watch_later' id %}" class="btn btn-warning"> Add to Watch Later </a>
        {% endif%}
    </div>

</div>
{% endblock %}
